Create a question for a section Run in API Explorer
Ask AI
Body
-
The type of the question
-
Whether the question is required or not
-
The title of the question
-
Input placeholder
-
User friendly description of what should be input
-
The position of the question in the section.
-
The selection options for the question IF the question is of type selection.
-
The uuid of the section to move the question to.
-
The field to update if the question is filled in
-
Create a question from a linked field, with this, the type and selection options can be ignored
-
If this is a contact detail or address field, should it be made primary?
POST
/api/v1/form/{form_uuid}/question
curl \
--request POST 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/question' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"type": "string",
"required": true,
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Enter your full legal name",
"position": 0,
"selection_options": [
"apple",
"orange"
],
"section_uuid": "d9c6e149-ea9d-444f-b0c1-ff510bfa3b3d",
"target_field": "client.first_name",
"linked_question_field": "first_name",
"linked_primary": false
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"type": "string",
"required": true,
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Enter your full legal name",
"position": 0,
"selection_options": [
"apple",
"orange"
],
"section_uuid": "d9c6e149-ea9d-444f-b0c1-ff510bfa3b3d",
"target_field": "client.first_name",
"linked_question_field": "first_name",
"linked_primary": false
}
Response examples (200)
{
"uuid": "aeda95fa-5336-4be6-9500-79ed948cb928",
"created_at": "2026-10-07T23:35:46+01:00",
"updated_at": "2026-10-07T23:35:46+01:00",
"section": {
"uuid": "e3f1f17d-69bb-424e-ae75-20ed4da7c33c",
"created_at": "2026-10-07T23:35:46+01:00",
"updated_at": "2026-10-07T23:35:46+01:00",
"form": {
"uuid": "2ced987d-d7e4-44d5-ae13-af8c7b519905",
"created_at": "2026-10-07T23:35:50+01:00",
"updated_at": "2026-10-07T23:35:50+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"title": "Personal Details",
"position": 1,
"questions": {
"uuid": "e45ff93a-c927-4e19-a686-461ea1a5d2ae",
"created_at": "2026-10-07T23:35:50+01:00",
"updated_at": "2026-10-07T23:35:50+01:00",
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_primary": true
}
},
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_question": {
"type": "selection",
"field": "gender",
"label": "Gender",
"formatted_field": "Gender",
"selection_options": [
"male",
"female",
"non-binary",
"transgender",
"intersex",
"other",
"unknown"
],
"is_custom_field": false,
"forced_required": false,
"caption": "Your drink preference"
},
"linked_primary": true
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}